Redmine - Defect #11633

Macro arguments should not be parsed by text formatters
2012-08-14 19:03 - Jean-Philippe Lang

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 2.1.0

Resolution: Fixed Affected version:

Description

Currently, macro arguments are parsed by the textile formatter and Redmine links. They shouldn't.

Associated revisions

Revision 10209 - 2012-08-17 16:46 - Jean-Philippe Lang
Macros processing overhaul (#3061, #11633).

® macro arguments are no longer parsed by text formatters
e macro output is escaped unless it's html safe

History

#1 - 2012-08-14 19:04 - Jean-Philippe Lang

- Subject changed from Macro arguments should not be parsed to Macro arguments should not be parsed by text formatters

#2 - 2012-08-17 22:03 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r10209.
